Bug 1102637

Summary: rsync bundles zlib
Product: [Fedora] Fedora Reporter: Ville Skytt√§ <ville.skytta>
Component: rsyncAssignee: Michal Ruprich <mruprich>
Status: ASSIGNED --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: i, mluscon, psimerda, ssorce, tibbs
Target Milestone: ---Keywords: Regression, Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 07:34:26 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1043965    
Bug Blocks: 504493    

Description Ville Skyttä 2014-05-29 07:07:44 EDT
rsync 3.1.0-3 reverts to using bundled zlib, and doesn't tell why in the rpm changelog or git commit message. This is not allowed; if it's not possible to get rid of the bundling, an exception needs to be acquired from FPC and marked as appropriate in the specfile.

https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries
Comment 1 Michal Luscon 2014-05-29 10:13:59 EDT
Apparently, I forgot to include bugzilla number in the commit message and will correct it asap. Since this is just a temporary revert, I don't think the FPC exception is applicable for this case. 

https://bugzilla.redhat.com/show_bug.cgi?id=1043965
Comment 2 Christopher Meng 2014-06-23 01:46:35 EDT
rsync 3.1.1 just released, this version contains support for non-bundled zlib:


"
Added support for a new-compression idiom that does not compress all the
      matching data in a transfer.  This can help rsync to use less cpu when a
      transfer has a lot of matching data, and also makes rsync compatible with
      a non-bundled zlib.  See the --new-compress and --old-compress options in
      the manpage.
"
Comment 3 Michal Luscon 2014-07-08 09:53:44 EDT
We have to wait for wider adoption of rsync>3.1.1, since 3.1.1 compiled with system zlib is not able to use compression during file transfer with older versions.
Comment 4 Fedora Admin XMLRPC Client 2014-09-30 08:14:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Jaroslav Reznik 2015-03-03 12:01:49 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Fedora Admin XMLRPC Client 2015-04-09 06:22:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Jason Tibbitts 2015-12-14 14:18:43 EST
Just a note that bundling is no longer a problem in Fedora according to a recent policy change.  However, the rsync package does really need to have Provides: bundled(zlib) = 1.2.8 so that we can track security problems across bundled versions.  I can just go ahead and do this in Rawhide if you like.
Comment 8 Fedora End Of Life 2016-07-19 07:34:26 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Jan Kurik 2016-07-26 00:36:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 10 Fedora Admin XMLRPC Client 2016-10-17 06:55:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Jason Tibbitts 2016-10-17 12:02:44 EDT
To update the new maintainer on this issue, Fedora no longer disallows bundling, but still makes mandatory the use of Provides: bundled(zlib) = 1.2.8 (or whatever the actual bundled version is).  That doesn't seem to be done currently.

It's just a matter of adding that and an explanatory comment.  I'm happy to just do it for you (in rawhide) and rebuild if you like.